Bug 240205 - Better handle clobbered registers in O0 register allocation
Summary: Better handle clobbered registers in O0 register allocation
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Saam Barati
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-05-07 01:44 PDT by Saam Barati
Modified: 2022-05-11 19:07 PDT (History)
6 users (show)

See Also:


Attachments
WIP (13.36 KB, patch)
2022-05-07 01:45 PDT, Saam Barati
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
WIP (16.65 KB, patch)
2022-05-08 11:54 PDT, Saam Barati
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
WIP (19.53 KB, patch)
2022-05-08 21:46 PDT, Saam Barati
no flags Details | Formatted Diff | Diff
WIP (23.65 KB, patch)
2022-05-08 22:02 PDT, Saam Barati
no flags Details | Formatted Diff | Diff
patch (24.36 KB, patch)
2022-05-08 22:41 PDT, Saam Barati
no flags Details | Formatted Diff | Diff
patch (24.61 KB, patch)
2022-05-08 22:45 PDT, Saam Barati
no flags Details | Formatted Diff | Diff
patch (24.63 KB, patch)
2022-05-08 22:47 PDT, Saam Barati
no flags Details | Formatted Diff | Diff
patch (24.60 KB, patch)
2022-05-08 22:50 PDT, Saam Barati
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Saam Barati 2022-05-07 01:44:45 PDT
...
Comment 1 Saam Barati 2022-05-07 01:45:09 PDT
Created attachment 458997 [details]
WIP

test EWS
Comment 2 Saam Barati 2022-05-08 11:54:51 PDT
Created attachment 459017 [details]
WIP
Comment 3 Saam Barati 2022-05-08 21:41:31 PDT
<rdar://87220688>
Comment 4 Saam Barati 2022-05-08 21:46:42 PDT
Created attachment 459022 [details]
WIP
Comment 5 Saam Barati 2022-05-08 22:02:38 PDT
Created attachment 459023 [details]
WIP
Comment 6 Saam Barati 2022-05-08 22:41:47 PDT
Created attachment 459024 [details]
patch
Comment 7 Saam Barati 2022-05-08 22:45:56 PDT
Created attachment 459025 [details]
patch
Comment 8 Saam Barati 2022-05-08 22:47:22 PDT
Created attachment 459026 [details]
patch
Comment 9 Saam Barati 2022-05-08 22:50:20 PDT
Created attachment 459027 [details]
patch
Comment 10 Saam Barati 2022-05-09 13:59:56 PDT
Comment on attachment 459027 [details]
patch

Let's try a GitHub PR.
Comment 11 Saam Barati 2022-05-09 15:09:19 PDT
Pull request: https://github.com/WebKit/WebKit/pull/573
Comment 12 EWS 2022-05-11 19:07:20 PDT
Committed r294087 (250477@main): <https://commits.webkit.org/250477@main>

Reviewed commits have been landed. Closing PR #573 and removing active labels.